var docObj = activeDocument;
var lays = docObj.layers;


app.coordinateSystem = CoordinateSystem.ARTBOARDCOORDINATESYSTEM;


var fName = app.textFonts["KozGoPro-Regular"];


function setCMYKColor(c,m,y,k) {
    var CMYK = new CMYKColor();
    CMYK.cyan = c;
    CMYK.magenta = m;
    CMYK.yellow = y;
    CMYK.black = k;
    return CMYK
}


var dayZero = function (zero) {
    if (zero <10) {
      zero = "0" + zero;
    }
    return zero;
}


var now = new Date();

var year = now.getFullYear();

var month = now.getMonth()+1;
  month = dayZero(month);

var date = now.getDate();
  date = dayZero(date);

var day = year +"/"+ month +"/"+ date;


try {

  var newLay = lays.getByName('表題欄');

  try {

    var slays = lays['表題欄'];

    slays.locked = false;
  } catch (e) {}

  docObj.selection = null;

  var txtCount = docObj.layers['表題欄'].textFrames;

   for (var i = 0; i < txtCount.length; i++) {
     try {
       txtCount[i].selected = true;
     } catch (e) {}
   }

   var selObj = docObj.selection;

   for (var i = 0; i < selObj.length; i++) {
     var text = selObj[i].contents;
     selObj[i].contents = text.replace(/2........./g,day);
   }
   slays.locked = true;

} catch (e) {

  var layObj = lays.add();

  layObj.name = '表題欄';

  for (var i = 0; i < docObj.artboards.length; i++) {
    var rect = docObj.artboards[i].artboardRect;
    var left = rect[0];
    var top = rect[1];
    var right = rect[2];
    var bottom = rect[3];

    var rectObj = docObj.pathItems.rectangle(bottom+28.398,right-211.334,197.162,14.226);

    rectObj.filled = false;

    rectObj.stroked = true;

    rectObj.storokeWidth = 1;

    rectObj.strokeColor = setCMYKColor(0,0,0,50);

    var lineObj = docObj.pathItems.add();

    lineObj.setEntirePath([[right-94.049,bottom+28.4],[right-94.049,bottom+14.2]]);

    lineObj.filled = false;

    lineObj.stroked = true;

    lineObj.storokeWidth = 1;

    lineObj.strokeColor = setCMYKColor(0,0,0,50);

    var titleObj = docObj.textFrames.add();

    titleObj.contents = 'Title';

    titleObj.paragraphs[0].fillColor = setCMYKColor(0,0,0,50);

    titleObj.paragraphs[0].characterAttributes.textFont = fName;

    titleObj.paragraphs[0].size = 5;

    titleObj.left = right-208.956;

    titleObj.top = bottom+26.014;

    titleObj.createOutline();

    var dateObj = docObj.textFrames.add();

    dateObj.contents = 'Date';

    dateObj.paragraphs[0].fillColor = setCMYKColor(0,0,0,50);

    dateObj.paragraphs[0].characterAttributes.textFont = fName;

    dateObj.paragraphs[0].size = 5;

    dateObj.left = right-91.678;

    dateObj.top = bottom+26.014;

    dateObj.createOutline();

    var textObj = docObj.textFrames.add();

    textObj.contents = day;

    textObj.paragraphs[0].size = 10;

    textObj.paragraphs[0].fillColor = setCMYKColor(0,0,0,50);

    textObj.paragraphs[0].characterAttributes.textFont = fName;

    textObj.top = bottom+26.014;

    textObj.left = right-77.367;
  }

  var sLayer = lays['表題欄'];

  var bottomLayer = docObj.layers[docObj.layers.length-1];

  bottomLayer.locked = false;

  sLayer.move(bottomLayer,ElementPlacement.PLACEAFTER);

  sLayer.locked = true;

}
